<!doctype html>
<html>
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">

    <title>{{ reportTitle }} | risis-rcf-risor</title>

    <link rel="stylesheet" href="dist/reset.css">
    <link rel="stylesheet" href="dist/reveal.css">
    <link rel="stylesheet" href="dist/theme/simple.css" id="theme">

    <!-- Theme used for syntax highlighted code -->
    <link rel="stylesheet" href="plugin/highlight/monokai.css" id="highlight-theme">
  </head>
  <body>
    <div class="reveal">
      <div class="slides">
        <section id="introduction">
          <h3>{{ reportTitle }}</h3>
          <h4>Outputs:</h4>
          <small>
            <ol>
            {% for datafile in datafiles %}
              <li>{{ datafile | basename('.csv') | lowerCase | upperFirst }}</li>
            {% endfor %}
            </ol>
          </small>
        </section>

        {% for datafile in datafiles %}
        <section>
          <h4>{{ datafile | basename('.csv') | lowerCase | upperFirst }}</h4>
          <div style="height:480px">
            <canvas data-chart="line" data-chart-src="{{ datafile }}">
            <!--
            {
              "data" : {
                "datasets" : [
                  { "borderColor": "#6b5b95","backgroundColor": "#6b5b95"},
                  { "borderColor": "#feb236","backgroundColor": "#feb236"},
                  { "borderColor": "#d64161","backgroundColor": "#d64161"},
                  { "borderColor": "#ff7b25","backgroundColor": "#ff7b25"},
                  { "borderColor": "#6B8E23","backgroundColor": "#6B8E23"},
                  { "borderColor": "#556B2F","backgroundColor": "#556B2F"},
                  { "borderColor": "#66CDAA","backgroundColor": "#66CDAA"},
                  { "borderColor": "#228B22","backgroundColor": "#228B22"}
                ]
              },
              "options": {
                "options": { "scales": { "x": { "stacked": false }, "y": { "stacked": true } } }
              }
            }
            -->
            </canvas>
          </div>
          <small><em>Source: <a href="{{ datafile }}">{{ datafile }}</a></em></small>
        </section>
        {% endfor %}

        <section id="credits">
          <h3>Credits</h3>
          <p> 
            The report and charts are part of RISIS RCF Platform and are generated using
            <a href="https://revealjs.com">Reveal.js</a> and <a href="http://www.chartjs.org">Chart.js</a>.
          <p>
        </section>
      </div>
    </div>
    <script src="dist/reveal.js"></script>
    <script src="plugin/zoom/zoom.js"></script>
    <script src="plugin/notes/notes.js"></script>
    <script src="plugin/search/search.js"></script>
    <script src="plugin/markdown/markdown.js"></script>
    <script src="plugin/highlight/highlight.js"></script>
    <script src="plugin/chart/chart.min.js"></script>
    <script src="plugin/chart/plugin.js"></script>
    <script>
      Reveal.initialize({
        hash: true,
        controls: true,
        progress: true,
        history: true,
        center: true,
        mouseWheel: true,
        chart: {
          defaults: {
            color: 'gray', // color of labels
            scale: {
              beginAtZero: true,
              ticks: { fontColor: "#888" },
              grid: { color: "lightgray" }, // color of grid lines
            },
          },
          line: { borderColor: [ "rgba(20,220,220,.8)" , "rgba(220,120,120,.8)", "rgba(20,120,220,.8)" ], "borderDash": [ [5,10], [0,0] ] },
          bar: { backgroundColor: [ "rgba(20,220,220,.8)" , "rgba(220,120,120,.8)", "rgba(20,120,220,.8)" ]},
          pie: { backgroundColor: [ ["rgba(0,0,0,.8)" , "rgba(220,20,20,.8)", "rgba(20,220,20,.8)", "rgba(220,220,20,.8)", "rgba(20,20,220,.8)"] ]},
          radar: { borderColor: [ "rgba(20,220,220,.8)" , "rgba(220,120,120,.8)", "rgba(20,120,220,.8)" ]}
        },
        plugins: [ RevealZoom, RevealNotes, RevealChart, RevealSearch, RevealMarkdown, RevealHighlight ]
      });
    </script>
  </body>
</html>
